<?php

/**
 * @file
 * Provides views hook routines.
 *
 * @author Jim Berry ("solotandem", http://drupal.org/user/240748)
 */

/**
 * Implements hook_field_views_data_views_data_alter().
 */
function county_field_views_data_alter(&$data, $field, $module) {
  if ($module != 'county') {
    return;
  }

  $current_table = _field_sql_storage_tablename($field);
  $revision_table = _field_sql_storage_revision_tablename($field);
  $column_name = 'value';
  foreach ([$current_table, $revision_table] as $table) {
    if (isset($data[$table])) {
      $key = _field_sql_storage_columnname($field['field_name'], $column_name);
      $data[$table][$key]['filter']['handler'] = 'county_handler_filter_string';
    }
  }
}
